# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.1.0] - 2025-01-09

### Added

- **Unit Tests**:
  - URI replacements and resource clearing functionality.
  - Support for multiple formats: Atom, DOCX, GeoTIFF, GeoJSON, JPEG, ODT, ODS, PDF, RDF, TXT, WMTS, XLSX.
  - Frictionless Data Resource validation.

- **Report Generation**:
  - Added columns for **HTTP status** and **error message** in the generated reports.
  - Implemented **filters** for table columns, allowing users to refine data views.

### Changed

- **Coverage Configuration**:
  - Updated coverage settings to better manage test file inclusion/exclusion.
  - Test files are now excluded from coverage reports to focus on measuring application code quality.

- **Dockerfile**: Switched base image to `python:3.10` and updated installation steps for dependencies, pipx, and Poetry.

## [1.0.0] - 2024-12-20

### Added

- Initial project files
