import zipfile


def is_valid(resource, file):
    """Check if the content is a XLSX file."""

    if not zipfile.is_zipfile(file.name):
        resource["error"] = "Not a ZIP file."
        return False

    with zipfile.ZipFile(file.name, "r") as zip_ref:
        zip_contents = zip_ref.namelist()

        required_files = ["xl/workbook.xml", "xl/styles.xml"]

        if not all(file in zip_contents for file in required_files):
            resource["error"] = "That does not look like an XLSX file."
            return False

        return True
