import unittest
from formats.zip_format import is_valid


class TestZipFormat(unittest.TestCase):
    def test_is_valid__valid(self):
        resource = {}
        with open("tests/data/bermuda.zip", "r") as file:
            self.assertTrue(is_valid(resource, file))
            self.assertIsNone(resource.get("error"))

    def test_is_valid__invalid(self):
        resource = {}
        with open("tests/data/correct.xml", "r") as file:
            self.assertFalse(is_valid(resource, file))
            self.assertIsNotNone(resource.get("error"))
            self.assertEqual("Not a ZIP file.", resource["error"])


if __name__ == "__main__":
    unittest.main()
